Subject: Re: bug#58839: [Patch] Re: bug#58839: 29.0.50; project-kill-buffer fails when Eglot is running

From: Dmitry Gutov <[email-masked]>
Date: Sun, 30 Oct 2022 23:15:15 +0200

On 30.10.2022 21:54, Eli Zaretskii wrote:
> You don't need to be defensive, I did not intend to restart the
> argument.  I just wanted to inform João that your opinion was and
> remains that non-file visiting buffers should be part of the project,
> that's all.

Thanks.

>> The issue Joao is having, however, is with particular "hidden"
>> non-file-visiting buffers (in fundamental-mode). And here the argument
>> could be made both ways.
> He was making a more general argument about buffers that don't visit
> files, AFAIU.  I wanted to inform him that this idea was already
> considered in the past.

I don't know if that was his point. To quote:

   Yes, I think some earmuffed buffers can clearly belong to projects.
   Others probably not.  You haven't seen me complain about
   project-kill-buffers killing the *EGLOT events* buffer, for example 😉